%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/golang/protobuf
Version:                1.5.3

%gometa

%global common_description %{expand:
Go support for Google's protocol buffers.}

%global golicenses      LICENSE
%global godocs          AUTHORS CONTRIBUTORS README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go support for Google's protocol buffers

License:        BSD-3-Clause
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Tue Sep 03 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5.3-1
- initial build
